Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Services.idl
1/* SPDX-License-Identifier: BSD-3-Clause */
2/*
3 * Copyright 2016 Raritan Inc. All rights reserved.
4 */
5
6/**
7 * Network services configuration
8 */
9module net {
10
11 /** Network service settings */
12 structure ServiceSettings {
13 string service; ///< Service name
14 boolean enable; ///< \c true if the service is enabled
15 int port; ///< Service TCP port
16 };
17
18 /** Network services configuration interface */
19 interface Services {
20
21 constant int ERR_INVALID_PARAMS = 1; ///< Invalid parameters
22
23 /**
24 * Retrieve the network services settings.
25 *
26 * @param servicesSettings List of all network services settings
27 */
28 void getSettings(out vector<ServiceSettings> servicesSettings);
29
30 /**
31 * Change the network services settings.
32 *
33 * This call changes the settings of one or more network services
34 * identified by name. Other services are not affected. The resulting
35 * configuration of all enabled services must be consistent, i.e.
36 * there must be not port collisions.
37 *
38 * @param servicesSettings List of network services settings to be changed
39 *
40 * @return 0 if OK
41 * @return 1 if any parameters were invalid
42 */
43 int setSettings(in vector<ServiceSettings> servicesSettings);
44
45 };
46
47}
net::Services
Network services configuration interface.
Definition Services.idl:19
net::Services::getSettings
void getSettings(out vector< ServiceSettings > servicesSettings)
Retrieve the network services settings.
net::Services::setSettings
int setSettings(in vector< ServiceSettings > servicesSettings)
Change the network services settings.
net
Network Configuration.
Definition Diagnostics.idl:9
net::ServiceSettings
Network service settings.
Definition Services.idl:12
net::ServiceSettings::port
int port
Service TCP port.
Definition Services.idl:15
net::ServiceSettings::service
string service
Service name.
Definition Services.idl:13
net::ServiceSettings::enable
boolean enable
true if the service is enabled
Definition Services.idl:14